$('#cursos').select2({
    width: '100%'
});

$('#seccion').select2({
    width: '100%'
});

$('#diaRC').select2({
    width: '100%'
});

$('#diaRP').select2({
    width: '100%'
});

$('#perm_cia').select2({
    width: '100%'
});

$('#fecha_inicio').datepicker({
    language: 'es',
    autoclose: true,
    startDate: new Date(),
    endDate: new Date($('#endclass').val())
})
    .on('changeDate', function(e) {
    });

//
// $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
//     var target = $(e.target).attr("data-type");
//     $("#endtb").val(target);
// });


$('.timepicker').timepicker({
    autoclose: true,
    showSeconds: false,
    minuteStep: 5
});

$('#fecha_inicio > .form-control').prop('disabled', true);

$('#cursos').change(function () {
    $.ajax({
        type: "GET",
        url: url_base + '/validar',
        data: {valor : $(this).val()},
        success: function (data) {
            var c = Object.keys(data).length;
            $("#seccion").empty();
            if(c > 0){
                $.each(data,function (key, value) {
                    $("#seccion").append("<option value='"+key+"' name='"+value+"'>"+value+"</option>");
                    $("#seccion").prop('disabled',false);
                });
            }
            else{
                $("#seccion").prop('disabled',true);
                $('#fecha_inicio > .form-control').prop('disabled', true);
            }
        }
    });
});

$('#seccion').change(function () {
    $("#idsc").val($(this).val());
    $.ajax({
        type: "GET",
        url: url_base + '/fecha',
        data: {sc : $(this).val()},
        success: function (data) {
            $('#fecha_inicio > .form-control').prop('disabled', false);
            $("#fecha_inicio").datepicker("setDaysOfWeekDisabled", data);
        }
    });
});

var ReprogramacionTable = $('#dt_reprogramacion').DataTable({
    "language": {
        "sProcessing":     "Procesando...",
        "sLengthMenu":     "Mostrar _MENU_ registros",
        "sZeroRecords":    "No se encontraron resultados",
        "sEmptyTable":     "No existen registros de Reprogramación",
        "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
        "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
        "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
        "sInfoPostFix":    "",
        "sSearch":         "Buscar:",
        "sUrl":            "",
        "sInfoThousands":  ",",
        "sLoadingRecords": "Cargando...",
        "oPaginate": {
            "sFirst":    "Primero",
            "sLast":     "Último",
            "sNext":     "Siguiente",
            "sPrevious": "Anterior"
        },
        "oAria": {
            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
        }
    },
    processing: false,
    serverSide: true,
    destroy: true,
    responsive:true,
    "autoWidth": true,
    "sDom": "",
    ajax:{
        method: 'POST',
        url: url_reprogramacion,
        data: function(d){
            d.id_c = 1
        },
        error: function(error){
        }
    },
    columns:[
        {
            data:'estado',
            name:'estado',
            "searchable": true,
            render: function (data,type,row) {
                switch (data)
                {
                    case '':
                        return '<td style="color: saddlebrown !important;">Pendiente</td>';
                        break;
                    case '1':
                        return '<td style="color: green !important;">Aceptada</td>';
                        break;
                    case '0':
                        return '<td style="color: red !important;">Denegada</td>';
                        break;
                    case '2':
                        return '<td style="color: blue !important;">En Proceso</td>';
                        break;
                }
            }
        },
        {
            data:'fecha_asignada',
            name:'fecha_asignada',
            "searchable": false,
            render: function(data,type,row){
                if(data == ''){
                    return '---';
                }
                else{
                    var dateAr = data.split('-');
                    var newDate = dateAr[2] + '-' + dateAr[1] + '-' + dateAr[0];
                    return newDate;

                }
            }
        },
        {
            data:'aula_asignada',
            name:'aula_asignada',
            "searchable": true,
            render: function(data,type,row) {
                if (data == '') {
                    return '---';
                }
                else{
                    return data;
                }
            }
        },
        {
            data:'dia_asignado',
            name:'dia_asignado',
            "searchable": true,
            render: function(data,type,row) {
                if (data == '') {
                    return '---';
                }
                else{
                    return data;
                }
            }
        },
        {
            data:'codigo',
            name:'codigo',
            "searchable": true
        },
        {
            data:'nombre',
            name:'nombre',
            "searchable": true
        },
        {
            data:'nombre_seccion',
            name:'nombre_seccion',
            "searchable": true
        },
        {
            data:'aula_proveniente',
            name:'aula_proveniente',
            "searchable": false
        },
        {
            data:'fecha_solicitada',
            name:'fecha_solicitada',
            "searchable": false,
            render: function(data,type,row){
                if(data == ''){
                    return '---';
                }
                else{
                    var dateAr = data.split('-');
                    var newDate = dateAr[2] + '-' + dateAr[1] + '-' + dateAr[0];
                    return newDate;
                }
            }
        },
        {
            data:'dia_proveniente',
            name:'dia_proveniente',
            "searchable": true
        },
        {
            data:'hora_ini',
            name:'hora_ini',
            "searchable": false
        },
        {
            data:'hora_fin',
            name:'hora_fin',
            "searchable": false
        }
    ],
    "pageLength": 15,
    "columnDefs": [{
        'orderable': false,
        'targets': [0]
    }, {
        "searchable": true,
        "targets": [0,1,2]
    }],
    "bInfo": false,
    "bLengthChange": false,
    "ordering": false
});

var RecuperacionTable = $('#dt_recuperacion').DataTable({
    "language": {
        "sProcessing":     "Procesando...",
        "sLengthMenu":     "Mostrar _MENU_ registros",
        "sZeroRecords":    "No se encontraron resultados",
        "sEmptyTable":     "No existen registros de Recuperación",
        "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
        "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
        "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
        "sInfoPostFix":    "",
        "sSearch":         "Buscar:",
        "sUrl":            "",
        "sInfoThousands":  ",",
        "sLoadingRecords": "Cargando...",
        "oPaginate": {
            "sFirst":    "Primero",
            "sLast":     "Último",
            "sNext":     "Siguiente",
            "sPrevious": "Anterior"
        },
        "oAria": {
            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
        }
    },
    processing: false,
    serverSide: true,
    destroy: true,
    responsive:true,
    "sDom": "",
    ajax:{
        method: 'POST',
        url: url_recuperacion,
        data: function(d){
            d.t = 1;
        },
        error: function(error){
        }
    },
    columns:[
        {
            data:'id',
            name:'id',
            "searchable": true,
            render: function (data,type,row) {
                if(row.estado_repro == ''){
                    return '<td><div class="mt-radio-inline"><label class="mt-radio">'
                        +'<input type="radio" name="horario_justificado" required="true" value="'+data+'"><span></span>'
                        + '</label></div></td>';
                }
                else{
                    return '';
                }
            }
        },
        {
            data:'estado_repro',
            name:'estado_repro',
            "searchable": true,
            render: function (data,type,row) {
                switch (data)
                {
                    case '':
                        return '<td style="color: saddlebrown !important;">Pendiente</td>';
                        break;
                    case '1':
                        return '<td style="color: green !important;">Aceptada</td>';
                        break;
                    case '0':
                        return '<td style="color: red !important;">Denegada</td>';
                        break;
                    case '2':
                        return '<td style="color: blue !important;">En Proceso</td>';
                        break;
                }
            }
        },
        {
            data:'aula_repro',
            name:'aula_repro',
            "searchable": true,
            render: function (data,type,row) {
                if(data == ''){
                    return '---';
                }
                else{
                    return data;
                }
            }
        },
        {
            data:'fecha_asignada',
            name:'fecha_asignada',
            "searchable": false,
            render: function(data,type,row) {
                if (data == '') {
                    return '---';
                }
                else{
                    var dateAr = data.split('-');
                    var newDate = dateAr[2] + '-' + dateAr[1] + '-' + dateAr[0];
                    return newDate;
                }
            }
        },
        {
            data:'codigo',
            name:'codigo',
            "searchable": true
        },
        {
            data:'nombre',
            name:'nombre',
            "searchable": true
        },
        {
            data:'nombre_seccion',
            name:'nombre_seccion',
            "searchable": true
        },
        {
            data:'aula',
            name:'aula',
            "searchable": true
        },
        {
            data:'fecha',
            name:'fecha',
            "searchable": true,
            render: function(data,type,row){
                var dateAr = data.split('-');
                var newDate = dateAr[2] + '-' + dateAr[1] + '-' + dateAr[0];
                return newDate;

            }
        },
        {
            data:'dia',
            name:'dia',
            "searchable": true
        },
        {
            data:'hora_ini',
            name:'hora_ini',
            "searchable": true
        },
        {
            data:'hora_fin',
            name:'hora_fin',
            "searchable": true
        }
    ],
    "pageLength": 15,
    "columnDefs": [{
        'orderable': false,
        'targets': [0]
    }, {
        "searchable": true,
        "targets": [0,1,2]
    }],
    "bInfo": false,
    "bLengthChange": false,
    "ordering": false
});

